PETSc version 3.15.5
Fix/Edit manual page

# TaoLineSearchReset

Some line searches may carry state information from one TaoLineSearchApply() to the next. This function resets this state information.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchReset(TaoLineSearch ls)

Collective on TaoLineSearch

### Input Parameter

| ls | - the TaoLineSearch context

### See Also

TaoLineSearchCreate(), TaoLineSearchApply()

### Level

developer

### Location

src/tao/linesearch/interface/taolinesearch.c

### Implementations

TaoLineSearchReset_Armijo in src/tao/linesearch/impls/armijo/armijo.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages